#!/bin/bash

if [[ $1 == "" ]] || [[ $2 == "" ]] || [[ $1 == "-h" ]] || [[ $1 == "--help" ]]; then
    echo "usage: $0 APPLICATION DESCRIPTION [ SERVER ]";
    exit 0;
fi

APPLICATION=$1
DESCRIPTION=$2
SERVER=$3

if [[ $SERVER == "" ]]; then
    SERVER=http://localhost:5000
fi

echo "Creating application $APPLICATION"
curl --header "Content-Type: application/json" \
     --request POST \
     --data '{"query": "mutation {createApplication(name: \"'"$APPLICATION"'\", description: \"'"$DESCRIPTION"'\"){application{name}}}" }' \
     $SERVER/graphql
