#!/bin/bash

if [[ $1 == "" ]] || [[ $1 == "-h" ]] || [[ $1 == "--help" ]]; then
    echo "usage: $0 ROLE [ SERVER ]";
    exit 0;
fi

ROLE=$1
SERVER=$2

if [[ $SERVER == "" ]]; then
    SERVER=http://localhost:5000
fi

echo "Creating role $ROLE"
curl --header "Content-Type: application/json" \
     --request POST \
     --data '{"query": "mutation {createRole(name: \"'$ROLE'\"){role{name}}}" }' \
     $SERVER/graphql
