#!/bin/bash

if [[ $1 == "" ]] || [[ $1 == "-h" ]] || [[ $1 == "--help" ]] || [[ $2 == "" ]] || [[ $3 == "" ]]; then
    echo "usage: $0 USERNAME PASSWORD EMAIL [ SERVER ]";
    exit 0;
fi

USERNAME=$1
PASSWORD=$2
EMAIL=$3
SERVER=$4

if [[ $SERVER == "" ]]; then
    SERVER=http://localhost:5000
fi

echo "Creating user $USERNAME"
curl --header "Content-Type: application/json" \
     --request POST \
     --data '{"query": "mutation {createUser(username: \"'$USERNAME'\", password: \"'$PASSWORD'\", email: \"'$EMAIL'\"){user{username}}}" }' \
     $SERVER/graphql
