"""add description column to application

Revision ID: 8b3dbce46174
Revises: 
Create Date: 2019-12-13 13:36:03.601879+00:00

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '8b3dbce46174'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    op.add_column(
        'oas_application',
        sa.Column('description', sa.Unicode(1000))
    )


def downgrade():
    op.drop_column(
        'oas_application',
        'description'
    )
