#!/bin/bash

KEY=$1
SECRET=$2
BASE_URI=$3
REDIRECT_URI=$BASE_URI/callback
LOGO_URI=$BASE_URI/favicon.ico
HOST=$4
SCOPES="openid profile email stackspin_roles"

curl --header "Content-Type: application/json" \
    --request POST \
    --data "{\"client_id\": \"$KEY\", \"client_name\": \"$KEY\", \"client_uri\": \"$BASE_URI\",\"client_secret\": \"$SECRET\", \"logo_uri\": \"$LOGO_URI\", \"redirect_uris\": [\"$REDIRECT_URI\"], \"scope\": \"$SCOPES\", \"grant_types\": [\"implicit\"], \"response_types\": [\"token\"], \"token_endpoint_auth_method\": \"client_secret_basic\"}" \
    http://$HOST/clients
