
module.exports = {
  'Welcome screen' : function (browser) {
    const index = browser.page.index();
    const navbar = index.section.navbar;
    index.navigate()
      .waitForElementVisible('body')
      .assert.containsText('@banner', 'Welcome to OpenAppStack')

    navbar
      .assert.containsText('@loginButton', 'Login')
      .end();
  },
  'Navigate to login screen' : function (browser) {
    const login = browser.page.login()
    const index = browser.page.index();
    index.navigate()
      .waitForElementVisible('body')
      .click("@loginButton")
    login
      .waitForElementVisible('@loginButton')
      .assert.containsText('@loginButton', 'Login with OAS')
      .end();
  }
};
